package com.zilber.boot.activiti.listen;

import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.TaskListener;

public class ApplyTaskListener implements TaskListener {

    @Override
    public void notify(DelegateTask delegateTask) {
        System.out.println("===========进来了==============");
        String eventName = delegateTask.getEventName();
        if ("create".endsWith(eventName)) {
            System.out.println("任务create===" + delegateTask.getName());
        } else if ("complete".endsWith(eventName)) {
            System.out.println("任务task complete===" + delegateTask.getName());
        } else if ("delete".endsWith(eventName)) {
            System.out.println("任务task delete===" + delegateTask.getName());
        } else if ("assignment".endsWith(eventName)) {
            System.out.println("任务task assignment===" + delegateTask.getName());
        }
    }

}
